<!---Set the default values for start and finish--->
<CFPARAM name="start" default="1">
<CFPARAM name="disp" default="25">

<cfinclude template = "../queries/qryProducts.cfm">
<cfinclude template = "../queries/qryCompanyInfo.cfm">

<cfif ISDEFINED('url.Category')>
<cfset CurrentCategory = #url.Category#>
</cfif>

<cfif ISDEFINED('form.Category')>
<cfset CurrentCategory = #form.Category#>
</cfif>

<!--- loop over each product and build a list of products that match this 
category.  Then create a custom query based on the list--->
<cfset LItemID = "">
<cfset LProductID = "">
<cfset LProductName = "">
<cfset LPrice = "">
<cfset LThumbNail = "">
<cfset LBriefDescription = "">

<cfset ProductQuery = QueryNew("")>

<cfoutput query = "qryProducts">
<!---Get the category list for this product and loop over the list.  If the list contains
the selected category, add it to the query of products to display--->

<!--- Assign the number of records to display on a page the user has selected--->
<CFSET disp="#CartVar.MaxRecords#">

<cfset CategoryList = '#Category#'>
<cfloop index="Mycount" From="1" To="#ListLen(CategoryList)#">
<cfset ThisCategory = "#ListGetAt(CategoryList, mycount)#">

<cfif ThisCategory IS #CurrentCategory#>
<cfset LItemID = ListAppend(LItemID, "#ItemID#", "^")>
<cfset LProductID = ListAppend(LProductID, "#ProductID#", "^")>
<cfset LProductName = ListAppend(LProductName, "#ProductName#", "^")>
<cfset LPrice = ListAppend(LPrice, "#Price#", "^")>
<cfset LThumbNail = ListAppend(LThumbNail, "#ThumbNail#", "^")>
<cfset LBriefDescription = ListAppend(LBriefDescription, "#BriefDescription#&nbsp;", "^")>
</cfif>
</cfloop>
</cfoutput>

<cfset AItemID = ListToArray(LItemID, "^")>
<cfset AProductID = ListToArray(LProductID, "^")>
<cfset AProductName = ListToArray(LProductName, "^")>
<cfset APrice = ListToArray(LPrice, "^")>
<cfset AThumbNail = ListToArray(LThumbNail, "^")>
<cfset ABriefDescription = ListToArray(LBriefDescription, "^")>

<!---Now create a query based on the list values above--->
<cfset nColumnNumber1 = QueryAddColumn(ProductQuery, "ItemID", AItemID)>
<cfset nColumnNumber2 = QueryAddColumn(ProductQuery, "ProductID", AProductID)>
<cfset nColumnNumber3 = QueryAddColumn(ProductQuery, "ProductName", AProductName)>
<cfset nColumnNumber4 = QueryAddColumn(ProductQuery, "Price", APrice)>
<cfset nColumnNumber5 = QueryAddColumn(ProductQuery, "ThumbNail", AThumbNail)>
<cfset nColumnNumber6 = QueryAddColumn(ProductQuery, "BriefDescription", ABriefDescription)>

<!---go right to the product if it's the only one in the category--->
<cfif productQuery.recordcount IS 1>

<cfoutput query = "ProductQuery">

<cfif ISDEFINED('url.Category')>
<script language="javascript">
<!-- 
location.replace("index.cfm?action=ViewDetails&ItemID=#ItemID#&Category=#url.Category#");
-->
</script>
</cfif>

<cfif ISDEFINED('form.Category')>
<script language="javascript">
<!-- 
location.replace("index.cfm?action=ViewDetails&ItemID=#ItemID#&Category=#form.Category#");
-->
</script>
</cfif>

</cfoutput>
</cfif>
<table width="100%" cellpadding="4">
<tr>
<td>
<table border="0" cellspacing="1" cellpadding="4" width="100%">
    <tr><cfoutput query = "qryCategories">
      <td width="70%" valign="middle">
	  <b>
      <h4>#qryCategories.CategoryName#<a name="topofpage"></a> </h4></b></td>
	  </cfoutput>
      <td width="20%">
	  <p align="right"><cfoutput query = "qryCategories"></cfoutput></td>
    </tr>
  </table>
</td>
</tr>
<tr>
	<td>

<CFSET end=Start + disp>
<CFIF start + disp GREATER THAN ProductQuery.RecordCount>
  <CFSET end=999>
<CFELSE>
  <CFSET end=disp>
</CFIF>

<cfif NOT ProductQuery.RecordCount IS 0>
  <table width="100%" border="0" cellspacing="0" cellpadding="4" style="border-collapse: collapse" bordercolor="#111111">
    <tr> 
      <td width="5%" class="TableTitles"><p align="left">&nbsp;</p></td>
      <cfif qryCompanyInfo.ShowProductID IS 'No'><td width="10%" class="TableTitles"><b> ID</b></td></cfif>
      <td width="25%" class="TableTitles"><strong>Product</strong></td>
      <td width="40%" class="TableTitles"><div align="left"><strong>Description</strong></div></td>
      <td width="10%" class="TableTitles"><div align="center"><strong>Price</strong></div></td>
    </tr>
    <cfset SearchCount = 0>
    <cfset mycount = 0>
    <cfoutput query="ProductQuery" startrow="#start#" maxrows="#end#"> 
      <cfset SearchCount = SearchCount + 1>
      <cfset mycount = mycount + 1>
      <tr <cfif mycount IS 2>bgcolor=#CartVar.RowHighlight#</cfif>> 
        <td><font size="2"><a href="index.cfm?action=ViewDetails&ItemID=#ItemID#"><img src = "photos/#Thumbnail#" alt="#ProductName#" border="0"></a></font></td>
        <cfif qryCompanyInfo.ShowProductID IS 'No'><td nowrap><font size="2"><a href="index.cfm?action=ViewDetails&ItemID=#ItemID#">#ProductID#</a></font></td></cfif>
        <td><font size="2"><a href="index.cfm?action=ViewDetails&ItemID=#ItemID#">#ProductName#</a></font></td>
        <td>#BriefDescription#</td>
        <td><div align="center"><font size="2"> 
            <cfif NOT Price IS 0>
              <cfif CartVar.UseEuro IS 'Yes'>
                #lseurocurrencyformat(Price, "Local")# 
              </cfif>
              <cfif NOT CartVar.UseEuro IS 'Yes'>
                #lscurrencyformat(Price, "Local")# 
              </cfif>
            </cfif>
            </font></div></td>
      </tr>
      <cfif mycount IS 2>
        <cfset mycount = 0>
      </cfif>
    </cfoutput> 
  </table>
</cfif>
<CFOUTPUT>
<br>
<table border="0" align="center" cellpadding="10">
<tr>
<!--- Display prev link --->
<CFIF start NOT EQUAL 1>
  <CFIF start GTE disp>
    <CFSET prev=disp>
    <CFSET prevrec=start - disp>
  <CFELSE>
    <CFSET prev=start - 1>
    <CFSET prevrec=1>
  </CFIF>
  <td><font face="wingdings"></font> 
  <a href="index.cfm?action=ViewCategory&Category=#CurrentCategory#&start=#prevrec#">Previous #prev#</a></td>

</CFIF>
<!---Display the page numbers--->
<cfif disp LT ProductQuery.RecordCount + 1>
<cfset PageCount = 1>
<td><cfloop Index="Pages" FROM="1" TO="#ProductQuery.RecordCount#" Step="#disp#">
<a href = "index.cfm?action=ViewCategory&Category=#CurrentCategory#&start=#Pages#">#PageCount#</a>&nbsp;&nbsp;
<cfset PageCount = PageCount + 1>
</cfloop>
</td>
</cfif>

<!--- Display next link --->
<CFIF end LT ProductQuery.RecordCount>
  <CFIF start + disp * 2 GTE ProductQuery.RecordCount>
    <CFSET next=ProductQuery.RecordCount - start - disp + 1>
  <CFELSE>
    <CFSET next=disp>
  </CFIF>
  <td><a href="index.cfm?action=ViewCategory&Category=#CurrentCategory#&start=#Evaluate("start + disp")#">
  Next #next#</a> <font face="wingdings"></font></td>
</cfif>
</table>
</CFOUTPUT>

<cfif productQuery.recordcount IS 0><center><b>No Products available in this Category</b></center></cfif>

<p align="center"><a href="#topofpage">Top of Page</a></p>
</td>
</tr>
</table>